Bug 1338688 - Calamari API regarding OSD crashes
Summary: Calamari API regarding OSD crashes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.0
Assignee: Boris Ranto
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917 1412948
TreeView+ depends on / blocked
 
Reported: 2016-05-23 09:34 UTC by rakesh
Modified: 2017-04-04 18:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Calamari sometimes does not respond when sending a PATCH Request The Calamari API does not respond when making PATCH requests to `/api/v2/cluster/FSID/osd/OSD_ID` if the requests does not change any fields on the OSD from their present values.
Clone Of:
Environment:
Last Closed: 2017-04-04 18:01:17 UTC


Attachments (Terms of Use)

Description rakesh 2016-05-23 09:34:12 UTC
Description of problem:

while using this API : api/v2/cluster/<fsid>/osd/<osd_id>,  I was trying to send a json (i.e use PATCH Request). I was using the this json "{"up": true}". the value for "up" was already true and i was sending the same value again, calamri server does not return anything not even 500 server error.

Comment 2 Christina Meno 2016-05-25 21:11:30 UTC
Strange is should be responding. When value is different it does respond with an HTTP202 accepted

Comment 5 Christina Meno 2016-06-16 14:47:22 UTC
Bara,

I clarified the issue in the doc text.
Does it make more sense now?

Comment 6 Christina Meno 2016-06-20 18:01:07 UTC
Looks great Bara!
Thank you


Note You need to log in before you can comment on or make changes to this bug.